> This page is for version v2024-01-31.
> For other versions, use one of these documentation indexes:
> - v2024-05-25 (default): https://docs.monite.com/v-2024-05-25/llms.txt
> - v2024-01-31: https://docs.monite.com/v2024-01-31/llms.txt
> - v2023-09-01: https://docs.monite.com/v2023-09-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# VAT rates

> Learn how the VAT rates for invoices and quotes work.

## Overview

[Invoices](./invoices/create) and [quotes](./quotes/create) must include VAT amounts, even if the VAT rate is 0%. Countries have different VAT rates for different types of products and services. For example, Germany has a standard VAT rate of 19%, a reduced VAT rate of 7%, and a zero VAT rate for certain transactions.

Monite maintains a database of VAT rates. API Partners can query the available rates via the API.

## Supported countries

Currently, Monite API provides VAT rates for the following countries:

* Angola
* Australia
* Austria
* Belgium
* Botswana
* Bulgaria
* Canada
* Czech Republic
* Denmark
* Estonia
* Eswatini
* France
* Finland
* Germany
* Greece
* Ireland
* Israel
* Lesotho
* Liberia
* Luxembourg
* Mozambique
* Namibia
* Netherlands
* New Zealand
* Philippines
* Poland
* South Africa
* Spain (including Canary Islands)
* Sweden
* Switzerland
* United Arab Emirates
* United Kingdom
* Zimbabwe

> **Info**
>
> **Exception for non-supported countries, US, and Pakistan**
>
> Invoice and quote issuers in certain non-supported countries, US, and Pakistan, do not need to retrieve applicable VAT rates vis-à-vis their counterparties when creating an invoice or quote. However, Monite enables such issuers to provide the applicable VAT rates directly to the recipient by using the `tax_rate_value` field in the receivables line item object. For a full list of supported countries, see [Regulatory compliance](./regulatory-compliance/countries).

## Get VAT rates

To query the possible VAT rates, call [`GET /vat_rates`](/v2024-01-31/api/vat-rates/get-vat-rates) with the entity ID passed in the `X-Monite-Entity-Id` header:

```sh
curl -X GET 'https://api.sandbox.monite.com/v1/vat_rates?counterpart_id=3a9c5...48df' \
     -H 'X-Monite-Version: 2024-01-31' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN'
```

The `GET /vat_rates` endpoint returns all VAT rates applicable to the entity's [VAT IDs](../entities/vat-ids). If the entity VAT ID is not present, the request will return only a 0% VAT rate for the entity's country in the response.

You can narrow down the list by adding filters to the query string. The available filters are:

* `GET /vat_rates?counterpart_address_id={id}` - get VAT rates applicable for sales to the specified counterpart address. When using the `counterpart_address_id` parameter, you must also provide the `counterpart_id` parameter in the request.
* `GET /vat_rates?counterpart_id={id}` - get VAT rates applicable for sales to the specified counterpart.
* `GET /vat_rates?entity_vat_id_id={uuid}` - if an entity has several [VAT ID records](../entities/vat-ids) (example: a UK entity that ships goods from Northern Ireland), you can specify which VAT ID to use when searching for the applicable VAT rates. If `entity_vat_id_id` is not specified, all VAT rates valid for any of the entity's VAT IDs are returned.
* `GET /vat_rates?counterpart_vat_id_id={uuid}` - if a counterpart has several [VAT IDs](../common/counterparts/vat-ids), you can specify the one that will be used in the invoice to get the applicable VAT rates. When using the `counterpart_vat_id_id` parameter, you must also provide the `counterpart_id` parameter in the request. If this parameter is not specified, all VAT rates valid for any of the counterpart's VAT IDs are returned.
* `GET /vat_rates?product_type=[product | service]` - get VAT rates that apply only to physical goods or only to services.

You can combine these filters to narrow down the results further.

> **Info**
>
> If the filters specified for `GET /vat_rates` do not produce any results, this endpoint instead returns all valid VAT rates for the entity's country of registration.

Below is a sample response assuming the entity and counterpart are German. German VAT rates are 0%, 7%, and 19%. The VAT `value` in the response is the percentage multiplied by 100, that is, 7% is represented as 700 and 19% as 1900.

```json
{
  "data": [
    {
      "id": "a39a2ec3-765d-4f75-9a17-585a5d22509d",
      "created_at": "2022-09-23T12:28:31.941357+00:00",
      "updated_at": "2022-09-23T12:28:31.941375+00:00",
      "value": 0,
      "country": "DE",
      "valid_from": null,
      "valid_until": null,
      "created_by": "monite",
      "status": "active"
    },
    {
      "id": "51cefc6c-9f82-484e-ae6a-a3a89b507bea",
      "created_at": "2022-09-23T12:28:31.941398+00:00",
      "updated_at": "2022-09-23T12:28:31.941406+00:00",
      "value": 700,
      "country": "DE",
      "valid_from": null,
      "valid_until": null,
      "created_by": "monite",
      "status": "active"
    },
    {
      "id": "479155c3-0995-4689-a3cf-7482ea5132a9",
      "created_at": "2022-09-23T12:28:31.941423+00:00",
      "updated_at": "2022-09-23T12:28:31.941431+00:00",
      "value": 1900,
      "country": "DE",
      "valid_from": null,
      "valid_until": null,
      "created_by": "monite",
      "status": "active"
    }
  ]
}
```

Note down the returned VAT `id` values. You will need them later to specify the corresponding VAT rates for individual line items in invoices and quotes.

> **Info**
>
> If a counterpart is exempt from paying VAT on an invoice, you can provide the reason for exemption via the optional `vat_exemption_rationale` field on the invoice object. For example, in situations where an invoice's line item is assigned a 0% VAT, you can provide the reason for exemption via the `vat_exemption_rationale` field when creating or updating an invoice. The reason provided will also be displayed on the invoice PDF.

## Specify VAT rates when creating or updating invoices and quotes

When you create an invoice or a quote by calling [`POST /receivables`](/v2024-01-31/api/receivables/post-receivables), you must provide the `vat_rate_id` for each line item in the `line_items` array. In the example below, the first line item is taxed at 19% (VAT rate ID = 479155c3-0995-4689-a3cf-7482ea5132a9) and the second line item is taxed at 7% (VAT rate ID = 51cefc6c-9f82-484e-ae6a-a3a89b507bea).

Monite will automatically calculate the VAT amounts based on the specified VAT rate IDs and return the total VAT in the `total_vat_amount` field in the invoice response.

```sh {13,18}
curl -X POST 'https://api.sandbox.monite.com/v1/receivables' \
     -H 'X-Monite-Version: 2024-01-31' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN' \
     -H 'Content-Type: application/json' \
     -d '{
       "type": "invoice",
       ...
       "line_items": [
         {
           "quantity": 5,
           "product_id": "8755c86a-d630-4920-b6fd-fd2917d87dfb",
           "vat_rate_id": "479155c3-0995-4689-a3cf-7482ea5132a9"
         },
         {
           "quantity": 1,
           "product_id": "b97601e1-e795-4c47-85d5-e5c54a75058d",
           "vat_rate_id": "51cefc6c-9f82-484e-ae6a-a3a89b507bea"
         }
       ],
       ...
     }'
```

Similarly, to update the VAT rate for a specific line item in an existing draft invoice or quote, call `PATCH /receivables/{receivables_id}` and provide the new `vat_rate_id` for that line item:

```sh
curl -X PATCH 'https://api.sandbox.monite.com/v1/receivables/411dc6eb...6289b3' \
     -H 'X-Monite-Version: 2024-01-31' \
     -H 'X-Monite-Entity-Id: ENTITY_ID' \
     -H 'Authorization: Bearer ACCESS_TOKEN' \
     -H 'Content-Type: application/json' \
     -d '{
       "invoice": {
         "line_items": [
           {
             "quantity": 5,
             "product_id": "8755c86a-d630-4920-b6fd-fd2917d87dfb",
             "vat_rate_id": "51cefc6c-9f82-484e-ae6a-a3a89b507bea"
           },
           {
             "quantity": 1,
             "product_id": "b97601e1-e795-4c47-85d5-e5c54a75058d",
             "vat_rate_id": "479155c3-0995-4689-a3cf-7482ea5132a9"
           }
         ]
       }
     }'
```